# -*- coding: utf-8 -*-

#module de fonctions personnalisées que l'on souhaite appeler
#dans une feuille de calcul LibreOffice / Calc

#double d'une valeur
def py_mon_double(a):
    res = 2 * a
    return res

#calcul prix ttc
#selon categorie de produit
def py_mon_pttc(pht,categorie):
    #conditions
    if (categorie == "alimentaire"):
        return pht * 1.055
    elif (categorie == "luxe"):
        return pht * 1.33
    elif (categorie == "normale"):
        return pht * 1.2
    else:
        return "cat. inconnue"

#librairie math de Python
import math

#fonction de densité de la loi normale
def densite (x):
    return 1.0/(math.sqrt(2.0*math.pi))*math.exp(-x**2/2.0)

#intégration méthode trapèze
#surface entre [a,b]
def surface_normale(a,b,epsilon=0.00001):
    total = 0
    while (a + epsilon <= b):
        total = total + epsilon*(densite(a)+densite(a+epsilon))/2.0
        a = a + epsilon
    #dernière portion
    if (b > a):
        total = total + (b-a)*(densite(a)+densite(b))/2.0
    #return
    return total

#fonction de répartition de la loi normale
#surface entre ]-oo,b]
def py_loi_normale(b):
    if (b > 0):
        surface = surface_normale(0,b)
        return 0.5 + surface
    else:
        surface = surface_normale(b,0)
        return 0.5 - surface
            
